import NetworkPeer from "./peer";
import { DataConnection } from "peerjs";

export default class PeerClient extends NetworkPeer {
  private connection: DataConnection;
  public constructor(peerid: string, metadata: Object) {
    super();
    this.connection = this.peer.connect(peerid, {
      label: "server",
      metadata,
      reliable: true
    });
  }
}
